Generate NLU Scores - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST /v2.0/projects/{projectId}/nlu/scores
Generate NLU Scores
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/nlu/scores \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"flowReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"localeReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sentence": "<string>"
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/nlu/scores"
payload = {
"flowReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"localeReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sentence": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flowReferenceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
localeReferenceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sentence: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/nlu/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/nlu/scores",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'flowReferenceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'localeReferenceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sentence' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
HTTP Status Codes
200
400
401
402
403
404
405
409
413
500
501
502
503
504
Successful Response (Example)
{
"scores": [
{
"id": "8870303c-2934-4145-a9c4-e2d89f05e3cf",
"name": "food",
"score": 0.6269008375746541,
"negated": false,
"confirmationSentence": null,
"confirmationSentences": null,
"disambiguationSentence": null,
"flow": "43b8f152-f82c-4d0b-b7ae-04db34de8b68"
}
]
}
Error Response (Example)
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Parameters
Authorization
X-API-Key
Type: string
Required: Yes
Location: header
Description: Supply the API Key in the HTTP-Header
Path Parameters
- projectId:
- Type: string
- Required: Yes
- Description: The unique identifier for the Project.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
Request Body
application/json
- flowReferenceId: string
(required) - localeReferenceId: string
(required) - sentence: string (required)
Response
200:
Returns a collection of matching NLU Intents and Scores for the given sentence.
Last modified on
July 8, 2026